Loading...
Searching...
No Matches
volk_32f_x2_powpuppet_32f.h File Reference
`#include <math.h>`
`#include <volk/volk.h>`
`#include <volk/volk_32f_x2_pow_32f.h>`

Go to the source code of this file.

## Functions

static float * | make_positive (const float *input, unsigned int num_points)
static void | volk_32f_x2_powpuppet_32f_generic (float *cVector, const float *bVector, const float *aVector, unsigned int num_points)
static void | volk_32f_x2_powpuppet_32f_neon (float *cVector, const float *bVector, const float *aVector, unsigned int num_points)

## Function Documentation

## make_positive()

float * make_positive | ( | const float * | input,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_powpuppet_32f_generic()

void volk_32f_x2_powpuppet_32f_generic | ( | float * | cVector,
|  | const float * | bVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_x2_powpuppet_32f_neon()

void volk_32f_x2_powpuppet_32f_neon | ( | float * | cVector,
|  | const float * | bVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static